OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColgp

# PColgp_VArrayTNodeOfFieldOfHArray1OfPnt Class Reference

`#include <PColgp_VArrayTNodeOfFieldOfHArray1OfPnt.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColgp_VArrayTNodeOfFieldOfHArray1OfPnt ()
| PColgp_VArrayTNodeOfFieldOfHArray1OfPnt (const gp_Pnt &aValue)
void | SetValue (const gp_Pnt &aValue)
Standard_Address | Value () const
## Private Attributes
gp_Pnt | myValue

## Constructor & Destructor Documentation

PColgp_VArrayTNodeOfFieldOfHArray1OfPnt::PColgp_VArrayTNodeOfFieldOfHArray1OfPnt | ( |  | ) |

PColgp_VArrayTNodeOfFieldOfHArray1OfPnt::PColgp_VArrayTNodeOfFieldOfHArray1OfPnt | ( | const gp_Pnt & | aValue | ) |

## Member Function Documentation

void PColgp_VArrayTNodeOfFieldOfHArray1OfPnt::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColgp_VArrayTNodeOfFieldOfHArray1OfPnt::operator new | ( | size_t | size | ) | `[inline]`

void* PColgp_VArrayTNodeOfFieldOfHArray1OfPnt::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColgp_VArrayTNodeOfFieldOfHArray1OfPnt::SetValue | ( | const gp_Pnt & | aValue | ) |

Standard_Address PColgp_VArrayTNodeOfFieldOfHArray1OfPnt::Value | ( |  | ) | const

## Field Documentation

gp_Pnt PColgp_VArrayTNodeOfFieldOfHArray1OfPnt::myValue`[private]`

The documentation for this class was generated from the following file:

- PColgp_VArrayTNodeOfFieldOfHArray1OfPnt.hxx